## org.eclipse.jst.ws.jaxws.dom.runtime.api
Enum SOAPBindingStyle

    java.lang.Object
      java.lang.Enum<SOAPBindingStyle>
          org.eclipse.jst.ws.jaxws.dom.runtime.api.SOAPBindingStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SOAPBindingStyle>, org.eclipse.emf.common.util.Enumerator

    public enum SOAPBindingStyle

extends java.lang.Enum<SOAPBindingStyle>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'SOAP Binding Style', and utility methods for working with them.

See Also:
  `DomPackage.getSOAPBindingStyle()`

Enum Constant Summary
`DOCUMENT` The 'DOCUMENT' literal object.
`RPC` The 'RPC' literal object.

Field Summary
`static int` `DOCUMENT_VALUE` The 'DOCUMENT' literal value.
`static int` `RPC_VALUE` The 'RPC' literal value.
`static java.util.List<SOAPBindingStyle>` `VALUES` A public read-only list of all the 'SOAP Binding Style' enumerators.

Method Summary
`static SOAPBindingStyle` `get(int value)` Returns the 'SOAP Binding Style' literal with the specified integer value.
`static SOAPBindingStyle` `get(java.lang.String literal)` Returns the 'SOAP Binding Style' literal with the specified literal value.
`static SOAPBindingStyle` `getByName(java.lang.String name)` Returns the 'SOAP Binding Style' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SOAPBindingStyle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SOAPBindingStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOCUMENT

    public static final SOAPBindingStyle DOCUMENT

  The 'DOCUMENT' literal object.

  See Also:
    `DOCUMENT_VALUE`

### RPC

    public static final SOAPBindingStyle RPC

  The 'RPC' literal object.

  See Also:
    `RPC_VALUE`

Field Detail

### DOCUMENT_VALUE

    public static final int DOCUMENT_VALUE

  The 'DOCUMENT' literal value.

  If the meaning of 'DOCUMENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOCUMENT`, Constant Field Values

### RPC_VALUE

    public static final int RPC_VALUE

  The 'RPC' literal value.

  If the meaning of 'RPC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RPC`, Constant Field Values

### VALUES

    public static final java.util.List<SOAPBindingStyle> VALUES

  A public read-only list of all the 'SOAP Binding Style' enumerators.

Method Detail

### values

    public static SOAPBindingStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SOAPBindingStyle c : SOAPBindingStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SOAPBindingStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static SOAPBindingStyle get(java.lang.String literal)

  Returns the 'SOAP Binding Style' literal with the specified literal value.

### getByName

    public static SOAPBindingStyle getByName(java.lang.String name)

  Returns the 'SOAP Binding Style' literal with the specified name.

### get

    public static SOAPBindingStyle get(int value)

  Returns the 'SOAP Binding Style' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SOAPBindingStyle>`